ActionValue (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.events.shared.ActionValue class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.events.shared
Class ActionValue

    java.lang.Object
      org.hyperic.hq.events.shared.ActionValue

All Implemented Interfaces:
  java.io.Serializable

    public class ActionValue

extends java.lang.Object
implements java.io.Serializable

Value object for Action.

See Also:
  Serialized Form

Constructor Summary
`ActionValue()`
`ActionValue(ActionValue otherValue)`
`ActionValue(java.lang.Integer id, java.lang.String classname, byte[] config, java.lang.Integer parentId)`

Method Summary
`boolean` | `classnameHasBeenSet()`
`boolean` | `configHasBeenSet()`
`boolean` | `equals(java.lang.Object other)`
`java.lang.String` | `getClassname()`
`byte[]` | `getConfig()`
`java.lang.Integer` | `getId()`
`java.lang.Integer` | `getParentId()`
`int` | `hashCode()`
`protected boolean` | `hasIdentity()` A Value object have an identity if its attributes making its Primary Key has all been set.
`boolean` | `idHasBeenSet()`
`boolean` | `isIdentical(java.lang.Object other)`
`boolean` | `parentIdHasBeenSet()`
`void` | `setClassname(java.lang.String classname)`
`void` | `setConfig(byte[] config)`
`void` | `setId(java.lang.Integer id)`
`void` | `setParentId(java.lang.Integer parentId)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActionValue

    public ActionValue()

### ActionValue

    public ActionValue(java.lang.Integer id,
                       java.lang.String classname,
                       byte[] config,
                       java.lang.Integer parentId)

### ActionValue

    public ActionValue(ActionValue otherValue)

Method Detail

### getId

    public java.lang.Integer getId()

### setId

    public void setId(java.lang.Integer id)

### idHasBeenSet

    public boolean idHasBeenSet()

### getClassname

    public java.lang.String getClassname()

### setClassname

    public void setClassname(java.lang.String classname)

### classnameHasBeenSet

    public boolean classnameHasBeenSet()

### getConfig

    public byte[] getConfig()

### setConfig

    public void setConfig(byte[] config)

### configHasBeenSet

    public boolean configHasBeenSet()

### getParentId

    public java.lang.Integer getParentId()

### setParentId

    public void setParentId(java.lang.Integer parentId)

### parentIdHasBeenSet

    public boolean parentIdHasBeenSet()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hasIdentity

    protected boolean hasIdentity()

  A Value object have an identity if its attributes making its Primary Key has all been set. One object without identity is never equal to any other object.

  Returns:
    true if this instance have an identity.

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### isIdentical

    public boolean isIdentical(java.lang.Object other)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.